import { OnInit } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import { Blur, ContentChange, EditorChangeContent, EditorChangeSelection, Focus, QuillEditorComponent, SelectionChange } from 'ngx-quill';
import { Config } from '../../model/config';
import * as i0 from "@angular/core";
export declare class EditorComponent implements OnInit, ControlValueAccessor {
    #private;
    get showBlockStyle(): boolean;
    get showFontStyle(): boolean;
    get showQuickHeadingStyle(): boolean;
    get showIndentStyle(): boolean;
    get showListStyle(): boolean;
    get showMedia(): boolean;
    get showScriptStyle(): boolean;
    editor: import("@angular/core").Signal<QuillEditorComponent | undefined>;
    value: any;
    onChange: (_: any) => void;
    onTouched: () => void;
    config: import("@angular/core").ModelSignal<Config>;
    placeholder: import("@angular/core").ModelSignal<string | undefined>;
    format: import("@angular/core").ModelSignal<"object" | "html" | "text" | "json" | undefined>;
    height: import("@angular/core").ModelSignal<string | undefined>;
    width: import("@angular/core").ModelSignal<string | undefined>;
    fullscreenHeight: import("@angular/core").ModelSignal<string | undefined>;
    fullscreenWidth: import("@angular/core").ModelSignal<string | undefined>;
    fullscreenMode: import("@angular/core").ModelSignal<"expand" | "popout" | undefined>;
    enableTooltips: import("@angular/core").ModelSignal<boolean | undefined>;
    fullscreen: import("@angular/core").ModelSignal<boolean | undefined>;
    readonly: import("@angular/core").ModelSignal<boolean | undefined>;
    applyReadonlyStyle: import("@angular/core").ModelSignal<boolean | undefined>;
    showToolbar: import("@angular/core").ModelSignal<boolean | undefined>;
    showBorder: import("@angular/core").ModelSignal<boolean | undefined>;
    imageResizeModule: import("@angular/core").ModelSignal<boolean | undefined>;
    imageDropModule: import("@angular/core").ModelSignal<boolean | undefined>;
    syntaxModule: import("@angular/core").ModelSignal<boolean | undefined>;
    fullscreenChanged: import("@angular/core").OutputEmitterRef<boolean>;
    onBlur: import("@angular/core").OutputEmitterRef<Blur>;
    onContentChanged: import("@angular/core").OutputEmitterRef<ContentChange>;
    onEditorChanged: import("@angular/core").OutputEmitterRef<EditorChangeContent | EditorChangeSelection>;
    onEditorCreated: import("@angular/core").OutputEmitterRef<void>;
    onFocus: import("@angular/core").OutputEmitterRef<Focus>;
    onSelectionChanged: import("@angular/core").OutputEmitterRef<SelectionChange>;
    ngOnInit(): void;
    initialize(): void;
    toggleFullscreen(): void;
    rawEdit(): void;
    tooltip(val: string): string;
    get modules(): {};
    updateChanges(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponent, "cpquill-editor", never, { "config": { "alias": "config"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "format": { "alias": "format"; "required": false; "isSignal": true; }; "height": { "alias": "height"; "required": false; "isSignal": true; }; "width": { "alias": "width"; "required": false; "isSignal": true; }; "fullscreenHeight": { "alias": "fullscreenHeight"; "required": false; "isSignal": true; }; "fullscreenWidth": { "alias": "fullscreenWidth"; "required": false; "isSignal": true; }; "fullscreenMode": { "alias": "fullscreenMode"; "required": false; "isSignal": true; }; "enableTooltips": { "alias": "enableTooltips"; "required": false; "isSignal": true; }; "fullscreen": { "alias": "fullscreen"; "required": false; "isSignal": true; }; "readonly": { "alias": "readonly"; "required": false; "isSignal": true; }; "applyReadonlyStyle": { "alias": "applyReadonlyStyle"; "required": false; "isSignal": true; }; "showToolbar": { "alias": "showToolbar"; "required": false; "isSignal": true; }; "showBorder": { "alias": "showBorder"; "required": false; "isSignal": true; }; "imageResizeModule": { "alias": "imageResizeModule"; "required": false; "isSignal": true; }; "imageDropModule": { "alias": "imageDropModule"; "required": false; "isSignal": true; }; "syntaxModule": { "alias": "syntaxModule"; "required": false; "isSignal": true; }; }, { "config": "configChange"; "placeholder": "placeholderChange"; "format": "formatChange"; "height": "heightChange"; "width": "widthChange"; "fullscreenHeight": "fullscreenHeightChange"; "fullscreenWidth": "fullscreenWidthChange"; "fullscreenMode": "fullscreenModeChange"; "enableTooltips": "enableTooltipsChange"; "fullscreen": "fullscreenChange"; "readonly": "readonlyChange"; "applyReadonlyStyle": "applyReadonlyStyleChange"; "showToolbar": "showToolbarChange"; "showBorder": "showBorderChange"; "imageResizeModule": "imageResizeModuleChange"; "imageDropModule": "imageDropModuleChange"; "syntaxModule": "syntaxModuleChange"; "fullscreenChanged": "fullscreenChanged"; "onBlur": "onBlur"; "onContentChanged": "onContentChanged"; "onEditorChanged": "onEditorChanged"; "onEditorCreated": "onEditorCreated"; "onFocus": "onFocus"; "onSelectionChanged": "onSelectionChanged"; }, never, never, true, never>;
}
